<?php

date_default_timezone_set('PRC');

require_once __DIR__.'/Patch.php';

$codeDir = __DIR__.'/patch/rewrite_the_schedule';

$code = file_get_contents($codeDir . '/code.php');
$code = str_replace('<?php', '', $code);

$name = '重写Zone和Sensor Group的日程表';
$desc = '主要用于修复Zone和Sensor Group日程重复的Bug';
// 适用于此版本及以下版本使用
$ver = '999';
// 补丁key
$key = 'smartLEDZ';

$stream = Patch::packPatch($name, $desc, $code, $ver, $key);

$is = file_put_contents($codeDir.'/'.date('Y-m-d').'v'.$ver.'_'.time().rand(1000, 9999).'.b', $stream);
if(!$is) die('补丁生成失败');
die('补丁已生成');
